using Microsoft.Office.Interop.Word;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace AIProofread.core
{
    [Serializable]
    public class JSONObject
    {
        private Dictionary<string, object> m_Dict = new Dictionary<string, object>();
        private JSONObject()
        {
        }
        public static JSONObject Create()
        {
            JSONObject obj = new JSONObject();
            return obj;
        }

        public JSONObject Put(string key, object value)
        {
            m_Dict.Add(key, value);
            return this;
        }

        public override string ToString()
        {
            return ToJSONString();
        }

        public string ToJSONString()
        {
            return Tools.GetJSONString(m_Dict);
        }
    }
}
